const Extractor = function(name) {
	this.name = name;
	this.init();
	console.log(this.name + ' finished loading');
};
Extractor.prototype = {
	ready: false,
	results: [],
	resultPromises: [],
	init: function() {
		this.ready = true;
	},
	extract: function() {
		console.log(`${this.name} should override the "extract"-method in order to react to user input!`);
	}
};

module.exports = Extractor;